org.minidns.record

## Class MX

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.MX

-     public class MX
      extends Data

  DNS MX (Mail Exchange) record payload.
  Specifies mail servers responsible for accepting email messages on behalf of a domain.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `priority` The priority of this service.
    `DnsName` | `target` The name of the target server.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MX(int priority, DnsName name)`
    `MX(int priority, String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static MX` | `parse(DataInputStream dis, byte[] data)`
    `void` | `serialize(DataOutputStream dos)` The internal method used to serialize Data subclasses.
    `String` | `toString()`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### priority

          public final int priority

      The priority of this service. Lower values mean higher priority.

    - #### target

          public final DnsName target

      The name of the target server.

  - ### Constructor Detail

    - #### MX

          public MX(int priority,
                    DnsName name)

    - #### MX

          public MX(int priority,
                    String name)

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static MX parse(DataInputStream dis,
                                 byte[] data)
                          throws IOException

      Throws:
        `IOException`

    - #### serialize

          public void serialize(DataOutputStream dos)
                         throws IOException

      Description copied from class: `Data`
      The internal method used to serialize Data subclasses.
      Specified by:
        `serialize` in class `Data`
      Parameters:
        `dos` - the output stream to serialize to.
      Throws:
        `IOException` - if an I/O error occurs.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`